package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "publish_plan_setting")
public class PublishPlanSetting {

    @Id
    @Column(name = "plan_id")
    private String planId;
    @Column(name = "content_allocation_rules")
    private Integer contentAllocationRules;
    @Column(name = "content_sorting_rules")
    private Integer contentSortingRules;
    @Column(name = "action_content_allocation_rule")
    private Integer actionContentAllocationRule;
    @Column(name = "publish_rate")
    private Integer publishRate;
    @Column(name = "publish_date")
    private String publishDate;
    @Column(name = "publish_window_start")
    private String publishWindowStart;
    @Column(name = "publish_window_end")
    private String publishWindowEnd;
    @Column(name = "publish_time_interval")
    private Integer publishTimeInterval;
    @Column(name = "publish_num")
    private Integer publishNum;
    @Column(name = "publish_per_num")
    private Integer publishPerNum;
    @Column(name = "publish_per_min_num")
    private Integer publishPerMinNum;
    @Column(name = "publish_bgm_type")
    private Integer publishBgmType;
    @Column(name = "publish_push_time")
    private String publishPushTime;
    @Column(name = "push_type")
    private Integer pushType;
    @Column(name = "trigger_event")
    private Integer triggerEvent;
    @Column(name = "push_content_sorting_rules")
    private Integer pushContentSortingRules;
    @Column(name = "bili_district")
    private String biliDistrict;
    @Column(name = "score_judge_flag")
    private Integer scoreJudgeFlag;
    @Column(name = "first_item_score_judge_task_id")
    private String firstItemScoreJudgeTaskId;
    @Column(name = "second_item_score_judge_task_id")
    private String secondItemScoreJudgeTaskId;
    @Column(name = "other_item_score_judge_task_id")
    private String otherItemScoreJudgeTaskId;
    @Column(name = "miniprogram_insert_flag")
    private Integer miniprogramInsertFlag;
    @Column(name = "gzh_article_sort_flag")
    private Integer gzhArticleSortFlag;
    @Column(name = "gzh_trigger_sync_frequency")
    private Integer gzhTriggerSyncFrequency;
    @Column(name = "gzh_trigger_send_content_type")
    private Integer gzhTriggerSendContentType;
    @Column(name = "gzh_only_miniprogram_flag")
    private Integer gzhOnlyMiniprogramFlag;
    @Column(name = "gzh_max_miniprogram_num")
    private Integer gzhMaxMiniprogramNum;
    @Column(name = "gzh_auto_reply_delay_flag")
    private Integer gzhAutoReplyDelayFlag;
    @Column(name = "gzh_auto_reply_delay_millisecond")
    private Integer gzhAutoReplyDelayMillisecond;
    @Column(name = "statement")
    private String statement;

}
