package com.tzld.longarticle.recommend.server.mapper.crawler.ext;

import com.tzld.longarticle.recommend.server.model.dto.UserGroupCountDTO;
import com.tzld.longarticle.recommend.server.repository.model.ArticleUserGroup;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ArticleUserGroupMapperExt {

    int insertBatch(List<ArticleUserGroup> list);

    ArticleUserGroup selectByGzhIdAndOpenId(String gzhId, String openId);

    List<UserGroupCountDTO> selectUserGroupIdByGzhId(String gzhId);

    List<String> selectOpenIdByGzhIdAndUserGroupId(String gzhId, Integer userGroupId);

    List<ArticleUserGroup> selectByGzhIdAndPage(String gzhId, int offset, long pageSize);

    void updateUserGroup(List<Long> ids, int userGroupId);
}